KDE 4.5 PyKDE API Reference

- KDE's Python API

# StyleSheetList Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

The StyleSheetList interface provides the abstraction of an ordered collection of style sheets.

## Methods
| __init__ (self)
| __init__ (self, DOM.StyleSheetList other)
bool | isNull (self)
DOM.StyleSheet | item (self, long index)
long | length (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.StyleSheetList | other
| ) |  |  |

bool isNull | ( |  | self ) |

DOM.StyleSheet item | ( | self, |
|  | long | index
| ) |  |  |

Used to retrieve a style sheet by ordinal index.

Parameters:

  | index | Index into the collection

Returns:
  The style sheet at the index position in the StyleSheetList , or null if that is not a valid index.

long length | ( |  | self ) |

The number of StyleSheet in the list. The range of valid child stylesheet indices is 0 to length-1 inclusive.